function [evolucionUmbral, umbral] = AnalisisUmbral(S) 

[~, columnas]=size(S);
i=floor(columnas/1500);%numero de veces que calculara el umbral (no tramas, se usara para el bucle exterior)
m=2; %factor de índice de inicio, empieza por 2 porque necesitaremos dato(x-1)
n=1502;% factor de índice final
for j=1:1:i
    umbral=0;
    for k=m:1:n-2
        umbral=umbral+abs(S(k)*abs(S(k))-S(k-1)*abs(S(k-1)));
    end
    evolucionUmbral(n)=umbral; %se almacena el valor cada 1024 muestras para luego poder comparar con la señal de entrada
    m=m+1500;
    n=n+1500;
end
%plot(evolucionUmbral)
end